import CJS_COMPAT_NODE_URL from 'node:url';
import CJS_COMPAT_NODE_PATH from 'node:path';
import CJS_COMPAT_NODE_MODULE from "node:module";

const __filename = CJS_COMPAT_NODE_URL.fileURLToPath(import.meta.url);
const __dirname = CJS_COMPAT_NODE_PATH.dirname(__filename);
const require = CJS_COMPAT_NODE_MODULE.createRequire(import.meta.url);
// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  d as c
} from "./chunk-HRN2KQZP.js";

// ../node_modules/pretty-hrtime/index.js
var A = c((S, d) => {
  "use strict";
  var b = ["h", "min", "s", "ms", "\u03BCs", "ns"], h = ["hour", "minute", "second", "millisecond", "microsecond", "nanosecond"], v = [3600, 60, 1, 1e6, 1e3, 1];
  d.exports = function(e, a) {
    var f, l, i, m, s, n, p, t, r, o;
    if (f = !1, l = !1, a && (f = a.verbose || !1, l = a.precise || !1), !Array.isArray(e) || e.length !== 2 || typeof e[0] != "number" || typeof e[1] != "number")
      return "";
    for (e[1] < 0 && (o = e[0] + e[1] / 1e9, e[0] = parseInt(o), e[1] = parseFloat((o % 1).toPrecision(9)) * 1e9), r = "", i = 0; i < 6 && (m = i < 3 ? 0 : 1, s = e[m], i !== 3 && i !== 0 && (s = s % v[i - 1]), i === 2 && (s += e[1] / 1e9), n = s / v[i], !(n >= 1 && (f && (n = Math.floor(n)), l ? t = n.toString() : (p = n >= 10 ? 0 : 2, t = n.toFixed(p)), t.indexOf(".") > -1 && t[t.length - 1] === "0" && (t = t.replace(/\.?0+$/, "")), r && (r += " "), r += t, f ? (r += " " + h[i], t !== "1" && (r += "s")) : r += " " + b[i], !f))); i++)
      ;
    return r;
  };
});

export {
  A as a
};
